import { _decorator, Component, Node } from 'cc';
import { UI } from './enum/UI';
import { Bundle } from './enum/Bundle';
import { ResMgr } from './manager/ResMgr';
import { UIMgr } from './manager/UIMgr';
const { ccclass, property } = _decorator;

@ccclass('Scene/Main')
export class Main extends Component {

    protected async start() {
        console.log('zh:111111aaaa')
        await ResMgr.loadDir(Bundle.Resources)
        UIMgr.open(UI.Loading, null, { uiBundle: Bundle.Resources })
    }

}


